#include <iostream>
using namespace std;

class A {
public:
  A(){std::cout << "Aのコンストラクタ" << '\n';}
  ~A(){std::cout << "Aのデストラクタ" << '\n';}
};

class B : public A {
public:
  B(){std::cout << "Bのコンストラクタ" << '\n';}
  ~B(){std::cout << "Bのデストラクタ" << '\n';}
};

class C : public B {
public:
  C(){std::cout << "Cのコンストラクタ" << '\n';}
  ~C(){std::cout << "Cのデストラクタ" << '\n';}
};

int main(int argc, char const *argv[]) {
  C ob;
  return 0;
}
